## praw 3.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonRedditAPIWrapper.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonRedditAPIWrapper.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonRedditAPIWrapper"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonRedditAPIWrapper"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
praw (3.3.0-1) unstable; urgency=high

  * New upstream release
  * Removed debian/patches/change-info-section.patch, as the changes
    have been integrated upstream
  * Disabled tests (Closes: #805226)

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Sun, 11 Oct 2015 15:47:27 +1100

praw (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * Updated patches
  * Added Ethan Dalool and Jonathan Stein to d/copyright

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Sun, 20 Sep 2015 08:24:53 +1000

praw (3.2.0-1) unstable; urgency=low

  * Initial release (Closes: #728946)

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Mon, 15 Jun 2015 19:53:32 +1000

=== debian/control ===
Source: praw
Section: python
Priority: optional
Maintainer: Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python, python3, python-setuptools, python3-setuptools, dh-python, python-decorator (>= 3.4.2), python3-decorator (>=3.4.2), python-requests (>= 2.3.0), python3-requests (>=2.3.0), python-six (>=1.4), python3-six (>=1.4), python-sphinx, texinfo
Standards-Version: 3.9.6
Homepage: http://praw.readthedocs.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/praw/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-modules/packages/praw/trunk/

Package: python-praw
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: praw-doc
Description: Python Reddit API Wrapper (Python 2 version)
 PRAW, an acronym for "Python Reddit API Wrapper", is a Python module that
 allows for simple access to Reddit's API. PRAW aims to be as easy to use as
 possible and is designed to follow all of Reddit's API rules.
 .
 This package provides the Python 2 version.

Package: python3-praw
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: praw-doc
Description: Python Reddit API Wrapper (Python 3 version)
 PRAW, an acronym for "Python Reddit API Wrapper", is a Python module that
 allows for simple access to Reddit's API. PRAW aims to be as easy to use as
 possible and is designed to follow all of Reddit's API rules.
 .
 This package provides the Python 3 version.

Package: praw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, install-info
Recommends: libjs-jquery, libjs-underscore
Suggests: python-praw, python3-praw
Description: Python Reddit API Wrapper (Documentation)
 PRAW, an acronym for "Python Reddit API Wrapper", is a Python module that
 allows for simple access to Reddit's API. PRAW aims to be as easy to use as
 possible and is designed to follow all of Reddit's API rules.
 .
 This package provides documentation and tests for PRAW.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=praw

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | \
         perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs; make html; make text; make info
	rm docs/_build/html/_static/jquery.js
	rm docs/_build/html/_static/underscore.js

override_dh_install:
	dh_install
	mv debian/python3-praw/usr/bin/praw-multiprocess debian/python3-praw/usr/bin/praw-multiprocess3

override_dh_auto_test:
	true

override_dh_auto_install:
	mv praw.egg-info praw.egg-info.orig
	dh_auto_install

override_dh_clean:
	dh_clean
	rm -rf docs/_build/*
	if [ -d praw.egg-info.orig ]; then \
		rm -rf praw.egg-info; \
		mv praw.egg-info.orig praw.egg-info; \
	fi

get-orig-source:
	uscan --noconf --verbose --rename --destdir=$(CURDIR) \
        --check-dirname-level=0 --force-download \
        --download-version $(VER)

=== debian/watch ===
version=3
http://pypi.debian.net/praw/praw-(.+)\.(?:zip|tar\.gz)

## praw 5.3.0

=== docs/Makefile ===
--- 
+++ 
@@ -15,6 +15,8 @@
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+
+default: html
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"

=== debian/changelog ===
praw (5.3.0-1) unstable; urgency=medium

  * New upstream release (5.3.0)
  * Bumps debhelper compat version to 11.
  * debian/control:
    - Bumps dependency on python3-prawcore to 0.13.0.
    - Bumps Standards-Version to 4.1.3, no changes required.
  * Removes installation ofr praw-multiprocess manpage.
  * praw-doc.info: Removes installation of PNG files, they are no longer
    shipped.

 -- Josue Ortega <josue@debian.org>  Sun, 28 Jan 2018 16:48:18 -0600

praw (5.2.0-1) unstable; urgency=medium
  * New upstream release.
  * New maintainer (Closes: #855636).
  * debian/control:
    - Updates Uploaders and Mainter field.
    - Removes python 2 package.
    - Adds python3-prawcore as dependency.
    - Adds python3-sphinx-rtd-theme as build dependency.
    - Updates Vcs-* fields to use the new GIT repository.
    - Adds python3-pytest-runner as build dependency.
  * Bumps debian/compat version from 9 to 10.
  * debian/watch: Changes URI to use HTTPS.
  * debian/rules:
    - Removes python2 from `dh --with` argument.
    - Removes override_dh_auto_install, praw-multiprocess is
      no longer generated.
  * Removes lintian-overrides.
  * Updates debian/copyright, upstream source code has been relicensed
    to BSD-2-Clause.
  * Bumps Standards-Version to 4.1.1, debian/copyright Format field changed to
    its HTTPS form.
  * debian/praw-doc.doc base, removes *.png files references.

 -- Josue Ortega <josue@debian.org>  Sat, 28 Oct 2017 17:19:10 -0600

=== debian/control ===
Source: praw
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>= 11),
 python3,
 python3-setuptools,
 dh-python,
 python3-decorator (>=3.4.2),
 python3-requests (>=2.3.0),
 python-six (>=1.4),
 python3-six (>=1.4),
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-prawcore,
 python3-pytest-runner,
 texinfo
Standards-Version: 4.1.3
Homepage: http://praw.readthedocs.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/praw.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/praw.git

Package: python3-praw
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-prawcore (>= 0.13.0)
Recommends: praw-doc
Description: Python Reddit API Wrapper (Python 3 version)
 PRAW, an acronym for "Python Reddit API Wrapper", is a Python module that
 allows for simple access to Reddit's API. PRAW aims to be as easy to use as
 possible and is designed to follow all of Reddit's API rules.
 .
 This package provides the Python 3 version.

Package: praw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, install-info
Recommends: libjs-jquery, libjs-underscore
Suggests: python3-praw
Description: Python Reddit API Wrapper (Documentation)
 PRAW, an acronym for "Python Reddit API Wrapper", is a Python module that
 allows for simple access to Reddit's API. PRAW aims to be as easy to use as
 possible and is designed to follow all of Reddit's API rules.
 .
 This package provides documentation and tests for PRAW.

=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,13 @@
          perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
 	cd docs; make html; make text; make info
 	rm docs/_build/html/_static/jquery.js
 	rm docs/_build/html/_static/underscore.js
-
-override_dh_install:
-	dh_install
-	mv debian/python3-praw/usr/bin/praw-multiprocess debian/python3-praw/usr/bin/praw-multiprocess3
 
 override_dh_auto_test:
 	true

=== debian/watch ===
version=3
https://pypi.debian.net/praw/praw-(.+)\.(?:zip|tar\.gz)

## praw 6.0.0

=== debian/changelog ===
praw (6.0.0-1) unstable; urgency=medium

  [Ondřej Nový]
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout

  [Josue Ortega]
  * New upstream release (6.0.0).
  * debian/source/options: Add rule to ignore fonts installation for
    praw-doc package.
  * Bumps Standards-Version to 4.2.0:
    - Increase debian/rules build verbosity.

 -- Josue Ortega <josue@debian.org>  Sun, 26 Aug 2018 17:47:03 -0600

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
  python3-prawcore,
  python3-pytest-runner,
  texinfo
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: http://praw.readthedocs.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/praw.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/praw.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/praw.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/praw
 
 Package: python3-praw
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 export PYBUILD_NAME=praw
+
+export DH_VERBOSE = 1
 
 PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
 VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | \

## praw 6.1.1

=== debian/changelog ===
praw (6.1.1-2) unstable; urgency=medium

  * Change build dependency on python-six to use python3 version.
    Closes: #943175
  * Update package to use debhelper-compat (= 12)
  * Bump Standards-Version to 4.4.1

 -- Josue Ortega <josue@debian.org>  Tue, 12 Nov 2019 20:28:57 -0600

praw (6.1.1-1) unstable; urgency=medium

  * New upstream release (6.1.1)
  * debian/control: Add python3-websocket both as build and package
    dependency.
  * Bump Standards-Version to 4.3.0:
    - debian/control: Document Rules-Requires-Root field.
  * debian/rules: Remove unnecessary get-orig-source target
  * Add examples installation.
  * Add debian CI tests.

 -- Josue Ortega <josue@debian.org>  Sat, 09 Feb 2019 11:25:43 -0600

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,30 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  python3,
  python3-setuptools,
  dh-python,
  python3-decorator (>=3.4.2),
  python3-requests (>=2.3.0),
- python-six (>=1.4),
  python3-six (>=1.4),
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-prawcore,
  python3-pytest-runner,
- texinfo
-Standards-Version: 4.2.0
+ texinfo,
+ python3-websocket
+Standards-Version: 4.4.1
 Homepage: http://praw.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/praw.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/praw
+Rules-Requires-Root: no
 
 Package: python3-praw
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
- python3-prawcore (>= 0.13.0)
+ python3-prawcore (>= 0.13.0),
+ python3-websocket
 Recommends: praw-doc
 Description: Python Reddit API Wrapper (Python 3 version)
  PRAW, an acronym for "Python Reddit API Wrapper", is a Python module that

=== debian/tests/control ===
Test-Command: python3 -c "import praw"

## praw 7.1.4

=== debian/changelog ===
praw (7.1.4-1) unstable; urgency=medium

  * New upstream release (7.1.4)

 -- Josue Ortega <josue@debian.org>  Sat, 13 Feb 2021 17:16:47 -0600

praw (7.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Josue Ortega ]
  * New upstream release (7.1.0)
  * Bump debhelper-compat to version 13
  * Bump Standards-Version to 4.5.1. No changes required
  * Bump debian/watch standard to use 4
  * Mark autopkgtest as superficial (Closes: #970961)
  * debian/rules: Add -f option to rm called during the override_dh_auto_build
    stage

 -- Josue Ortega <josue@debian.org>  Wed, 30 Dec 2020 17:25:47 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: praw
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  python3,
  python3-setuptools,
  dh-python,
@@ -16,10 +16,10 @@
  python3-pytest-runner,
  texinfo,
  python3-websocket
-Standards-Version: 4.4.1
-Homepage: http://praw.readthedocs.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/praw.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/praw
+Standards-Version: 4.5.1
+Homepage: https://praw.readthedocs.org/
+Vcs-Git: https://salsa.debian.org/python-team/packages/praw.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/praw
 Rules-Requires-Root: no
 
 Package: python3-praw

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=praw

export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs; make html; make text; make info
	rm -f docs/_build/html/_static/jquery.js
	rm -f docs/_build/html/_static/underscore.js

override_dh_auto_test:
	true

override_dh_auto_install:
	mv praw.egg-info praw.egg-info.orig
	dh_auto_install

override_dh_clean:
	dh_clean
	rm -rf docs/_build/*
	if [ -d praw.egg-info.orig ]; then \
		rm -rf praw.egg-info; \
		mv praw.egg-info.orig praw.egg-info; \
	fi

=== debian/tests/control ===
Test-Command: python3 -c "import praw"
Restrictions: superficial

## praw 7.6.0

=== debian/changelog ===
praw (7.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (7.6.0)
  * d/control changes:
    + New standards version
    + Replace manual test control file with autopkgtest-pkg-python
    + Remove explicitly defined python3 and sphinx depends
  * Replace manual sphinx run with sphinxdoc
  * Remove info and text formats of sphinx docs, only HTML is needed
  * Optimize d/rules and Salsa CI
  * Add some fields to d/upstream/metadata

 -- Ben Westover <kwestover.kw@gmail.com>  Thu, 18 Aug 2022 16:53:51 -0400

praw (7.2.0-2) unstable; urgency=medium

  * Apply multi-arch hints.
    + praw-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-decorator,
      python3-requests and python3-six.
    + python3-praw: Drop versioned constraint on python3-prawcore in Depends.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 May 2022 20:36:23 +0100

praw (7.2.0-1) experimental; urgency=medium

  * New upstream release (7.2.0)

 -- Josue Ortega <josue@debian.org>  Thu, 04 Mar 2021 19:17:04 -0600

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,25 @@
  python3,
  python3-setuptools,
  dh-python,
- python3-decorator (>=3.4.2),
- python3-requests (>=2.3.0),
- python3-six (>=1.4),
+ python3-decorator,
+ python3-requests,
+ python3-six,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-prawcore,
  python3-pytest-runner,
  texinfo,
  python3-websocket
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://praw.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/praw.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/praw
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-praw
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
- python3-prawcore (>= 0.13.0),
- python3-websocket
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: praw-doc
 Description: Python Reddit API Wrapper (Python 3 version)
  PRAW, an acronym for "Python Reddit API Wrapper", is a Python module that
@@ -38,9 +37,9 @@
 Package: praw-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, install-info
-Recommends: libjs-jquery, libjs-underscore
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Suggests: python3-praw
+Multi-Arch: foreign
 Description: Python Reddit API Wrapper (Documentation)
  PRAW, an acronym for "Python Reddit API Wrapper", is a Python module that
  allows for simple access to Reddit's API. PRAW aims to be as easy to use as

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = praw
export PYBUILD_DISABLE = test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs && python3 -m sphinx . ../debian/html

execute_before_dh_auto_install:
	mv praw.egg-info praw.egg-info.orig

execute_after_dh_clean:
	rm -rf debian/html
	if [ -d praw.egg-info.orig ]; then \
		rm -rf praw.egg-info; \
		mv praw.egg-info.orig praw.egg-info; \
	fi

=== debian/watch ===
version=4
https://pypi.debian.net/praw/praw-(.+)\.(?:zip|tar\.gz)

## praw 7.7.1+ds

=== debian/changelog ===
praw (7.7.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (7.7.1)
  * New standards version
  * Clean up build depends
  * Fix removal of egg-info from source and binary (Closes: #1052921)

 -- Ben Westover <me@benthetechguy.net>  Wed, 11 Oct 2023 16:48:18 -0400

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,15 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper-compat (= 13),
+ dh-python,
  python3,
  python3-setuptools,
- dh-python,
- python3-decorator,
- python3-requests,
- python3-six,
  python3-sphinx,
- python3-sphinx-rtd-theme,
  python3-prawcore,
- python3-pytest-runner,
+ python3-websocket,
  texinfo,
- python3-websocket
-Standards-Version: 4.6.1
+ furo
+Standards-Version: 4.6.2
 Homepage: https://praw.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/praw.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/praw

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = praw
export PYBUILD_DISABLE = test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs && python3 -m sphinx . ../debian/html

=== debian/watch ===
version=4
opts=repacksuffix=+ds,\
dversionmangle=auto \
https://pypi.debian.net/praw/praw-(.+)\.(?:zip|tar\.gz)
